> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Fee Schedules V 3 Get Match

GET https://api.taigabilling.com/api/fee-schedules/v3/service-line/{service_line_id}/match

Gets the rate that matches a service line.  No result means no rate exists matching the service line's dimensions.

Reference: https://docs.taigabilling.com/api-reference/fee-schedules-v-3/fee-schedules-v-3-get-match

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `service_line_id` (string, required)

## Response

### 200

- `threshold` (fee-schedulesv3ThresholdMatch, required) — Threshold and dollar amount matching for a service line
- `rate_id` (string, required)

## Errors

### 404 Not Found Error

- `FeeSchedules_v3_get_matchRequestNotFoundError`
  - FeeSchedulesV3GetMatchRequestNotFoundError0

### 422 Unprocessable Entity Error

- `FeeSchedules_v3_get_matchRequestUnprocessableEntityError`
  - FeeSchedulesV3GetMatchRequestUnprocessableEntityError0

## Types

### fee-schedulesv3ThresholdMatch

Threshold and dollar amount matching for a service line

- `threshold` (fee-schedulesv3PayerThreshold, required) — Rate thresholds that determine fee schedule rate matching behavior. When a service line is adjudicated by a payer Taiga determines if the payer's allowed amount "matches" the rate value. If the allowed amount doesn't equal the rate value, Taiga moves the claim to a PAID_INCORRECTLY state. These optional thresholds allow a user to set wiggle room to avoid claims moving to PAID_INCORRECTLY and instead have them move directly to FINALIZED_PAID when the payer's allowed amount is greater than [rate_cents - lower_threshold_cents] and less than [rate_cents + upper_threshold_cents]. Additionally, a client can set disable_paid_incorrectly to avoid the PAID_INCORRECTLY claim status entirely.
- `rate_cents` (integer, required)
- `match` (boolean, required)
- `explanation` (string, required)

### FeeSchedulesV3GetMatchRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `FailedToBuildServiceLineDimensions`
- `content` (EntityNotFoundErrorMessage, optional)

### FeeSchedulesV3GetMatchRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `FailedToBuildServiceLineDimensions`
- `content` (string, optional)

### fee-schedulesv3PayerThreshold

Rate thresholds that determine fee schedule rate matching behavior. When a service line is adjudicated by a payer Taiga determines if the payer's allowed amount "matches" the rate value. If the allowed amount doesn't equal the rate value, Taiga moves the claim to a PAID_INCORRECTLY state. These optional thresholds allow a user to set wiggle room to avoid claims moving to PAID_INCORRECTLY and instead have them move directly to FINALIZED_PAID when the payer's allowed amount is greater than [rate_cents - lower_threshold_cents] and less than [rate_cents + upper_threshold_cents]. Additionally, a client can set disable_paid_incorrectly to avoid the PAID_INCORRECTLY claim status entirely.

- `disable_paid_incorrectly` (boolean, required)
- `upper_threshold_cents` (integer, optional, nullable)
- `lower_threshold_cents` (integer, optional, nullable)

### EntityNotFoundErrorMessage

- `id` (string, required)

## Examples

**Response**

```json
{
  "threshold": {
    "threshold": {
      "disable_paid_incorrectly": true,
      "upper_threshold_cents": 1,
      "lower_threshold_cents": 1
    },
    "rate_cents": 1,
    "match": true,
    "explanation": "string"
  },
  "rate_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/fee-schedules/v3/service-line/service_line_id/match"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```